##
## EPITECH PROJECT, 2017
## My_printf
## File description:
## Makefile for my_printf
##

SRC_DIR	=	$(realpath lib/my/)

SRC	=	$(SRC_DIR)/my_putchar.c			\
		$(SRC_DIR)/my_put_nbr.c			\
		$(SRC_DIR)/my_putstr.c			\
		$(SRC_DIR)/my_putchar_printf.c		\
		$(SRC_DIR)/my_put_nbr_printf.c		\
		$(SRC_DIR)/my_putstr_printf.c		\
		$(SRC_DIR)/my_strlen.c			\
		$(SRC_DIR)/my_printf.c			\
		$(SRC_DIR)/my_strlowcase.c		\
		$(SRC_DIR)/my_strdup.c			\
		$(SRC_DIR)/convert_dec_to_octal.c	\
		$(SRC_DIR)/convert_dec_to_binary.c	\
		$(SRC_DIR)/convert_dec_to_hexa_low.c	\
		$(SRC_DIR)/convert_dec_to_hexa_up.c	\
		$(SRC_DIR)/convert_util.c		\
		$(SRC_DIR)/flag_convert.c		\
		$(SRC_DIR)/my_strcmp.c			\
		$(SRC_DIR)/my_revstr.c			\
		$(SRC_DIR)/long_to_str.c		\
		$(SRC_DIR)/my_compute_power_it.c	\
		$(SRC_DIR)/flag_others.c

CFLAGS	=	-Wall -Wextra -Iinclude

OBJ	=	$(SRC:.c=.o)

NAME	=	libmy.a

all:		$(NAME)

$(NAME):	$(OBJ)
		ar rc $(NAME) $(OBJ)

clean:
		rm -f $(OBJ)

fclean:		clean
		rm $(NAME)

re:		fclean all
